# GalViewFactoryEtable

## Name

GalViewFactoryEtable --

## Synopsis

    #define     GAL_VIEW_FACTORY_ETABLE_TYPE
    typedef     GalViewFactoryEtable;
    GalViewFactory* gal_view_factory_etable_new (ETableSpecification *spec);
    GalViewFactory* gal_view_factory_etable_construct
                                                (GalViewFactoryEtable *factory,
                                                 ETableSpecification *spec);

## Object Hierarchy

      GtkObject
       +----GalViewFactory
             +----GalViewFactoryEtable

## Description

## Details

### GAL_VIEW_FACTORY_ETABLE_TYPE

    #define GAL_VIEW_FACTORY_ETABLE_TYPE        (gal_view_factory_etable_get_type ())

### GalViewFactoryEtable

    typedef struct {
    	GalViewFactory base;

    	ETableSpecification *spec;
    } GalViewFactoryEtable;

### gal_view_factory_etable_new ()

    GalViewFactory* gal_view_factory_etable_new (ETableSpecification *spec);

`spec` : |
Returns : |

### gal_view_factory_etable_construct ()

    GalViewFactory* gal_view_factory_etable_construct
                                                (GalViewFactoryEtable *factory,
                                                 ETableSpecification *spec);

`factory` : |
`spec` : |
Returns : |